Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.special
Class Erf

    java.lang.Object
      org.apache.commons.math.special.Erf

    public class Erf

extends java.lang.Object

This is a utility class that provides computation methods related to the error functions.

Version:
  $Revision: 811685 $ $Date: 2009-09-05 13:36:48 -0400 (Sat, 05 Sep 2009) $

Constructor Summary
`private` | `Erf()` Default constructor.

Method Summary
`static double` | `erf(double x)` Returns the error function erf(x).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Erf

    private Erf()

  Default constructor. Prohibit instantiation.

Method Detail

### erf

    public static double erf(double x)
                      throws MathException

  Returns the error function erf(x). The implementation of this method is based on:
  - Erf, equation (3).

  Parameters:
    `x` - the value.
  Returns:
    the error function erf(x)
  Throws:
    `MathException` - if the algorithm fails to converge.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2011 Apache Software Foundation